/* Renames the blood_pressure_measurement table to temp_table. */
ALTER TABLE blood_pressure_measurement RENAME TO temp_table;

/*
 Creates a new blood_pressure_measurement table with the _id, systolic, diastolic, pulse,
 datetime, timestamp, user_note, user_id, external_id, dosync and del fields.
*/
CREATE TABLE blood_pressure_measurement (
    [_id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    [systolic] INTEGER NOT NULL,
    [diastolic] INTEGER NOT NULL,
    [pulse] INTEGER NOT NULL,
    [datetime] TEXT NOT NULL,
    [timestamp] TEXT NOT NULL,
    [user_note] TEXT NOT NULL,
    [user_id] INTEGER DEFAULT 1 REFERENCES users(_id) ON DELETE CASCADE,
    [external_id] TEXT,
    [dosync] INTEGER NOT NULL DEFAULT 1,
    [del] INTEGER NOT NULL DEFAULT 0
);

/* Inserts records from temp_table to the new blood_pressure_measurement table. */
INSERT INTO blood_pressure_measurement (_id, systolic, diastolic, pulse, datetime, timestamp, user_note, user_id, external_id, dosync, del)
        SELECT _id, systolic, diastolic, pulse, datetime, datetime, user_note, user_id, external_id, dosync, del FROM temp_table;

/* Drops the temp_table table.*/
DROP TABLE temp_table;
